The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Выпуск пользовательского окружения Sway 1.7, использующего Wayland "
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Выпуск пользовательского окружения Sway 1.7, использующего Wayland "  +/
Сообщение от opennews (?), 23-Янв-22, 08:56 
Опубликован релиз композитного менеджера Sway 1.7, построенного с использованием протокола  Wayland и полностью совместимого с мозаичным оконным менеджером i3 и панелью i3bar. Код проекта написан на языке Си и распространяется под лицензией MIT. Проект нацелен на использование в Linux и FreeBSD...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=56562

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +2 +/
Сообщение от Любитель Монеточки (?), 23-Янв-22, 08:56 
Поддержка зеленых чипов в Sway есть?
Ответить | Правка | Наверх | Cообщить модератору

2. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +6 +/
Сообщение от Аноним (2), 23-Янв-22, 09:19 
Почему она должна быть в оконном менеджере?
Ответить | Правка | Наверх | Cообщить модератору

6. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +6 +/
Сообщение от Аноним (6), 23-Янв-22, 09:45 
Потому что оконные менеджеры пишут шизофреники, блеклистящие железо. Пассаж про нуво это вообще прекрасно, на нуво никогда ничего не работало и разработчики об этом знают.
Ответить | Правка | Наверх | Cообщить модератору

10. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –8 +/
Сообщение от Аноним (2), 23-Янв-22, 09:53 
>Потому что оконные менеджеры пишут шизофреники, блеклистящие железо.

Что-что? Блестящее железо? Ты, судя по всему, оконные менеджере пишешь, верно?

Ответить | Правка | Наверх | Cообщить модератору

12. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +3 +/
Сообщение от макпыф (ok), 23-Янв-22, 09:54 
он написал не "блестящие", а "блеклистящие", от blacklist
Ответить | Правка | Наверх | Cообщить модератору

14. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +2 +/
Сообщение от Аноним (2), 23-Янв-22, 09:58 
Казалось бы, причем здесь оконные менеджеры
Ответить | Правка | Наверх | Cообщить модератору

21. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +13 +/
Сообщение от Майкол Смыт (?), 23-Янв-22, 11:26 
Не написал, а наврайтил, пишете по-программистски.
Ответить | Правка | К родителю #12 | Наверх | Cообщить модератору

61. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от rsln108 (ok), 23-Янв-22, 18:53 
Это было потрясающее завершение не менее потрясающей переписки выше. Рябята, просто браво! Как у вас так получаеся?!
Ответить | Правка | Наверх | Cообщить модератору

67. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от Аноним (67), 23-Янв-22, 19:03 
Не получается а по-turn-овается.
Ответить | Правка | Наверх | Cообщить модератору

98. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (98), 25-Янв-22, 22:29 
> ммистски

ммистстейски (кому)

Ответить | Правка | К родителю #21 | Наверх | Cообщить модератору

39. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +2 +/
Сообщение от Аноним (39), 23-Янв-22, 15:38 
Как раз только на nouveau и работают старые видеокарты от троллей.
Ответить | Правка | К родителю #6 | Наверх | Cообщить модератору

11. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от макпыф (ok), 23-Янв-22, 09:53 
wayland композитору для работы нужен egl. У нвидии ранее была не совместимая с месой реализация. Сейчас gbm запилили, но официальной поддержки от sway нет (то есть багрепорты с нвидией не будут рассматриваться)
Ответить | Правка | К родителю #2 | Наверх | Cообщить модератору

4. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +6 +/
Сообщение от andy (??), 23-Янв-22, 09:26 
Nvidia users

All proprietary graphics drivers are unsupported. This includes the Nvidia proprietary driver. The open source Nouveau driver is required instead. Tip: buy your hardware with open source support in mind.

https://github.com/swaywm/sway/wiki

Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

31. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –3 +/
Сообщение от Аноним (31), 23-Янв-22, 13:44 
> Tip: choose your software with hardware support in mind.

Так-то они в своем праве поддерживать (или не) что угодно, но уровень коммуникации с пользователями трешовый. И это в то время, когда кеды из кедов выпрыгивали, но поддержку GBM впилили.
Ну пусть тогда эти три с половиной землекопа не жалуются на marker share.

Ответить | Правка | Наверх | Cообщить модератору

52. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +2 +/
Сообщение от Kuromi (ok), 23-Янв-22, 17:29 
А тот факт что пользователи в ответ на такие теплые слова поддержки могут сменить окружение или даже дистрибутив разработчики не учитывают? Особенно на фоне того что Невидия после многих годков козления все таки прогн...опомнилась и это теперь отдельные разработчики упираются, а не Нвидия?
Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

79. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от Аноним (79), 24-Янв-22, 02:54 
Всегда найдется тот, кто пилит сук на котором он сидит. Ведь миром правят не разум и логика, а сила и эмоции.
Ответить | Правка | Наверх | Cообщить модератору

90. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от eganru (?), 24-Янв-22, 12:08 
[i]А тот факт что пользователи в ответ на такие теплые слова поддержки могут сменить окружение или даже дистрибутив разработчики не учитывают?[/i] - особого смысла давать пользователю ставить sway с видеокартой nvidia с проприетарными драйверами сейчас нет. Просто чтобы пользователь увидел, что есть проблемы и бог весть что начал думать?

Так хоть что-то в голове зашевелиться, когда флаг unsupported gpu впишет.

[i]теперь отдельные разработчики упираются, а не Нвидия[/i] - отдельные разработчики досыта наелись говна и у них есть опасения, что после очередной ложечки трещина пойдет.

Ответить | Правка | К родителю #52 | Наверх | Cообщить модератору

7. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от макпыф (ok), 23-Янв-22, 09:46 
официально нет. Nvidia говорила, когда gbm api делала в своем драйвере, что sway работает
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

13. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от Аноним (6), 23-Янв-22, 09:55 
Корректно было бы сказать что зависимость от меза. Точно так же браузеры пытались загружать нуво, которым даже никогда не пахло в системе, и умирали на вейланде (только ъвейланд работал, но чисто в софт режиме). Можно сказать теперь нвидия добавила поддержку своего драйвера в меза.
Ответить | Правка | Наверх | Cообщить модератору

28. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +8 +/
Сообщение от Аноним (28), 23-Янв-22, 13:27 
Если Nvidia пофиг на опенсурс, почему опенсурс должен волноваться об их картах. Все в руках невидим, хотели бы давно сделали опенсурс драйвер, со своими костылями пусть сами разбираются. Ушел с зелёных карт и больше их покупать не буду.
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

32. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –9 +/
Сообщение от Мент (?), 23-Янв-22, 13:50 
Я сделал проще, я просто пользуюсь windows 11
Ответить | Правка | Наверх | Cообщить модератору

44. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +4 +/
Сообщение от какработать (?), 23-Янв-22, 16:06 
Неинтересно. Как вы будете на виндовз 11 разбираться во всех этих латинобуквенных аббревиатурах? Что с чем работает, а что с чем не работает? Что что должно вызывать? Нвидия не меза, меза не нвидия, нвидия и меза. Вейланд не вейланд.
С виндовз 11, да и с виндовз вообще, вся жизнь пройдёт мимо вас. Никакого бурления. Никаких бурь в малой посуде.
Ответить | Правка | Наверх | Cообщить модератору

51. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от n00by (ok), 23-Янв-22, 17:06 
Лучше подскажите, где скачать актуальную MSDN. Нашёл только "Библиотека MSDN для пакета обновления 1 (SP1) Visual Studio 2008"
Ответить | Правка | Наверх | Cообщить модератору

69. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –1 +/
Сообщение от какработать (?), 23-Янв-22, 21:03 
Не знаю за ваши пиратские дела. Тогда качайте неактуальную и накатывайте обновление.
Ответить | Правка | Наверх | Cообщить модератору

99. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от n00by (ok), 29-Янв-22, 07:01 
Что же Вы вообще знаете? MSDN с начала 00х легально распространяется с сайта Микрософт, даже IFS Kit, который требовал 4 фото 3*4 заверенных Тони Мэйсоном, сто лет как доступен в составе DDK (или уже WDK?) без регистрация и СМС. Но с названиями "дистрибутивов" там творится чёрти чё, да и нынешнее качество некогда эталонной документации повергло меня в шок.
Ответить | Правка | Наверх | Cообщить модератору

68. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +2 +/
Сообщение от Аноним (68), 23-Янв-22, 19:53 
Так а что ты здесь вообще делаешь?
Ответить | Правка | К родителю #32 | Наверх | Cообщить модератору

78. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –2 +/
Сообщение от Аноним (78), 24-Янв-22, 01:13 
А ты? Какой твой вклад в развития опен попен сорса? ты халявой пользуешься и чужим трудом, но и только за маской анонима моешь нападать на других людей которые выбрали себе инструменты не из за религиозных соображений а то что работает. Да и давай честно в последнии годы MS сделала больше для опенсорца чем другие. Больше чем ты, их вклад дороже твоей жизни.
Ответить | Правка | Наверх | Cообщить модератору

48. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (48), 23-Янв-22, 16:50 
и на 495 и на 510.39.01 каждые несколько секунд странное искажение в sway (но не weston и gnome-shell --display-server --wayland), скриншотилка grim не работает. Если же использовать https://github.com/danvd/wlroots-eglstreams вместо обычного wlroots, то то и то чинятся. Но я дальше не тестил, т.к., видимо, ядерный модуль nvidia не поддерживает параметр drm.edid_firmware=DP-2:путь, а мне 60 Гц нафиг не нужны, мне надо не меньше Гц, чем у меня 22 года назад. И я не понял как с клавы мышкой управлять (на иксах xdotool).
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

50. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (48), 23-Янв-22, 16:54 
И OBS вообще не запускается в Sway с wlroots и wlroots-eglstreams -- ошибка egl. В weston и gnome-shell же запускается, но чёрный экран захватывает.
Ответить | Правка | Наверх | Cообщить модератору

53. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (53), 23-Янв-22, 17:35 
Pipewire и xdg-desktop-portal установлены?
Ответить | Правка | Наверх | Cообщить модератору

82. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (82), 24-Янв-22, 05:24 
60Гц на ЭЛТ и LCD - это разные вещи. На последних это никак не влияет на усталость ваших глаз.
Ответить | Правка | К родителю #48 | Наверх | Cообщить модератору

89. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (89), 24-Янв-22, 11:15 
>60Гц на ЭЛТ и LCD - это разные вещи. На последних это никак не влияет на усталость ваших глаз.

Скажи это производителям мониторов с LED подсветкой, мерцающей на частоте кадров вместо десятка килогерц. https://habr.com/ru/post/469247/

Ответить | Правка | Наверх | Cообщить модератору

92. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +2 +/
Сообщение от Аноним (92), 24-Янв-22, 12:56 
Это ШИМ. И если он мерцает - герцовка уже ничего не не решает. Так монитор следует сразу же поменять, так как цена вопроса - ваше здоровье.
Ответить | Правка | Наверх | Cообщить модератору

63. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от Аноним (53), 23-Янв-22, 18:57 
> Удалена опция "--my-next-gpu-wont-be-nvidia", вместо которой слудет использовать режим "--unsupported-gpu". Проприетарные драйверы NVIDIA по-прежнему не поддерживаются.

Кек.

Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

5. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +5 +/
Сообщение от Аноним (5), 23-Янв-22, 09:33 
На вялом wm раз, два и всё. На этом ещё и поддержки блоба от nvidia нет.  Уже не первый год только и заговоров о 'инксы ненужны, они устарели', а прогресса нет. Или жручее de или ничего для полтора землекопа.
Ответить | Правка | Наверх | Cообщить модератору

8. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от макпыф (ok), 23-Янв-22, 09:49 
> На вялом wm раз, два и всё

Ну вообще на wlroots сейчас достаточно много наплодилось, но их известность и популярность очень не высока.

> На этом ещё и поддержки блоба от nvidia нет.

Официальной да. Но nvidia говорит что все работает.

> прогресса нет

См. выше про нвидию.

Ответить | Правка | Наверх | Cообщить модератору

29. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +6 +/
Сообщение от Аноним (29), 23-Янв-22, 13:36 
> nvidia говорит

Невидия много говорит, да мало делает. Пока продажи шли, обещала Vulkan на Fermi. Продажи кончились, обещания забылись. Ни Vulkan, ни PRIME render offload, ни GBM на Fermi нет. Решительно невозможно, говорят, "новому" драйверу поддерживать "устаревшие" архитектуры. Беги-покупай новую карту, "старой" давно уже место на мировой свалке капитализма.
Вот и сейчас болтают, мол, покупайте карточки пока работают. А действительно работают ли, и что с ними завтра будет (не превратятся ли в тыкву?) - не их заботы, а доверчивых лохупателей.

Ответить | Правка | Наверх | Cообщить модератору

45. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –1 +/
Сообщение от какработать (?), 23-Янв-22, 16:09 
Ну, на виндовзе то не превращаются в тыкву. У меня виндовз 10 на gtx 680 работает замечательно.
Ответить | Правка | Наверх | Cообщить модератору

54. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от Аноним (53), 23-Янв-22, 17:40 
На ноуте 2018 года уже забросили поддержку в дровах, и свежий V-Ray отказывается запускаться из-за "устаревшего железа". Так что не всё там отлично.

Случай не мой, я вендой и вирэем не пользуюсь, но меня попросил знакомый помочь, и я помочь не смог, кроме как посоветовать взять прошлую версию или купить новое железо.

Ответить | Правка | Наверх | Cообщить модератору

25. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –4 +/
Сообщение от Аноним (25), 23-Янв-22, 12:32 
> 'инксы ненужны, они устарели'

А может быть да?

> На этом ещё и поддержки блоба от nvidia нет.

А может вот это ненужно?

Ответить | Правка | К родителю #5 | Наверх | Cообщить модератору

34. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +2 +/
Сообщение от Ненужно (?), 23-Янв-22, 14:10 
>> 'инксы ненужны, они устарели'
>А может быть да?

Перезвоните, когда в вяленом появится настройка насыщенности.

Ответить | Правка | Наверх | Cообщить модератору

83. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноньимъ (ok), 24-Янв-22, 06:27 
Пока нет лучшей много современной технологии то не устарели, а вершина технологического развития.
Ответить | Правка | К родителю #25 | Наверх | Cообщить модератору

93. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (92), 24-Янв-22, 13:06 
Пользуюсь иксами и проблем не знаю. Мне что вэйлэнд, что иксы - лишь бы исправно работало.
Ответить | Правка | К родителю #5 | Наверх | Cообщить модератору

9. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (2), 23-Янв-22, 09:50 
>swayidle (фоновый процесс с реализацией протокола KDE idle)

А они собираются эти протоколы как-то стандартизировать, пока не разрослось до целого зоопарка несовместимых?

Ответить | Правка | Наверх | Cообщить модератору

15. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Анон1 (?), 23-Янв-22, 09:58 
А зачем? Есть только одно DE для работы с Wayland - gnome. Многие приложения попросту игнорят существование других, например в zoom, Ms teams и Skype шаринг экрана только в гноме работает
Ответить | Правка | Наверх | Cообщить модератору

26. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от crandel (ok), 23-Янв-22, 13:23 
В sway отлично все шарится, без проблем
Ответить | Правка | Наверх | Cообщить модератору

16. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +5 +/
Сообщение от макпыф (ok), 23-Янв-22, 10:10 
kde с wlroots вроде пытаются все делать примерно одинаково и совместимо. А gnome наоборот похоже хотят что бы программы для gnome и все. Поэтому даже базовые, вполне стандартизованные протоколы, поддерживают не все. Например xdg-decorative
Ответить | Правка | К родителю #9 | Наверх | Cообщить модератору

96. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Kuromi (ok), 24-Янв-22, 17:37 
> kde с wlroots вроде пытаются все делать примерно одинаково и совместимо. А
> gnome наоборот похоже хотят что бы программы для gnome и все.
> Поэтому даже базовые, вполне стандартизованные протоколы, поддерживают не все. Например
> xdg-decorative

Ну так да, они не спроста называли свою DE "платформой". По их мнению Гнум это уже что-то вроде полноценной ОС, причем не важно что там под капотом,

Ответить | Правка | Наверх | Cообщить модератору

17. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от DeaDBeeF (ok), 23-Янв-22, 10:10 
Tray так и не сделали.
Ответить | Правка | Наверх | Cообщить модератору

19. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от анонимчик (?), 23-Янв-22, 10:44 
у меня есть tray. WayBar
Ответить | Правка | Наверх | Cообщить модератору

72. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от DeaDBeeF (ok), 23-Янв-22, 21:55 
Он есть для отображения, но не работает меню.
Ответить | Правка | Наверх | Cообщить модератору

87. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (87), 24-Янв-22, 11:04 
Какое меню? Если у иконки в трейе есть меню - меню работает. Если у иконки нет меню - меню не работает.
Ответить | Правка | Наверх | Cообщить модератору

88. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от DeaDBeeF (ok), 24-Янв-22, 11:09 
Жаль разработчики не в курсе:
https://github.com/swaywm/sway/issues/3939
https://github.com/swaywm/sway/issues/3799
Ответить | Правка | Наверх | Cообщить модератору

100. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от анонимчик (?), 29-Янв-22, 12:36 
> Жаль разработчики не в курсе:
> https://github.com/swaywm/sway/issues/3939
> https://github.com/swaywm/sway/issues/3799

хз. уменя всё работает. висит там телега с тремя пунктами меню. открыть, закрыть, отключить нотификации. в конфиге WayBar есть секция tray
впрочем, я не против - ты можешь и дальше страдать.

Ответить | Правка | Наверх | Cообщить модератору

18. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +5 +/
Сообщение от макпыф (ok), 23-Янв-22, 10:30 
> библиотеки wlroots

Зачем давать ссылку на старый репозиторий на гитхабе?

> This project has migrated to gitlab.freedesktop.org.

Новый репозиторий:
https://gitlab.freedesktop.org/wlroots/wlroots

Ответить | Правка | Наверх | Cообщить модератору

58. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от Аноним (53), 23-Янв-22, 18:51 
Используйте кнопку "Исправить" под новостью.
Ответить | Правка | Наверх | Cообщить модератору

20. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от анонимчик (?), 23-Янв-22, 10:45 
Отличный проект, использую уже три года в сочетании с WayBar. Ничего другого не желаю и не планирую.
Ответить | Правка | Наверх | Cообщить модератору

22. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +2 +/
Сообщение от Питонист (?), 23-Янв-22, 11:27 
Какие преимущества для пользователя в сравнении с i3?
Ответить | Правка | Наверх | Cообщить модератору

64. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –1 +/
Сообщение от Аноним (-), 23-Янв-22, 18:58 
Легкость, собрал всю систему без X11 библиотек.
Заранее отвечу как же так сделать - https://github.com/kisslinux
Ответить | Правка | Наверх | Cообщить модератору

75. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Gentoofan (?), 23-Янв-22, 23:50 
А разве браузеры запускаются без libX11/libxcb?
Ответить | Правка | Наверх | Cообщить модератору

76. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Xo (?), 24-Янв-22, 00:05 
Так что насчёт браузеров?)
Ответить | Правка | К родителю #64 | Наверх | Cообщить модератору

81. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (-), 24-Янв-22, 04:22 
Firefox можно собрать с https://github.com/ATiltedTree/firefox-wayland
Ответить | Правка | Наверх | Cообщить модератору

71. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (71), 23-Янв-22, 21:36 
i3 заточен по зеленые карты, а sway под красные.
У меня красная.
Ответить | Правка | К родителю #22 | Наверх | Cообщить модератору

23. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (23), 23-Янв-22, 11:44 
Как называется менюшка со серина справа вверху?
Ответить | Правка | Наверх | Cообщить модератору

30. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –2 +/
Сообщение от Аноним (30), 23-Янв-22, 13:38 
Контекстное меню
Ответить | Правка | Наверх | Cообщить модератору

27. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –1 +/
Сообщение от crandel (ok), 23-Янв-22, 13:24 
>Добавлена команда "output render_bit_depth" для включения для вывода режима композитинга с высокой глубиной цвета.

Вау, вот теперь иксы отс**нут

Ответить | Правка | Наверх | Cообщить модератору

33. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  –7 +/
Сообщение от Аноним (-), 23-Янв-22, 14:03 
Кресты, больше зависимостей, больше тупняка и тормозов. Зато умеет почти все что умеет оригинал, это так молодежно и модно ^_^
Ответить | Правка | Наверх | Cообщить модератору

57. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от Аноним (57), 23-Янв-22, 18:43 
Какие кресты? Сабж написан на чистом Си.
Ответить | Правка | Наверх | Cообщить модератору

38. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (38), 23-Янв-22, 15:25 
на скриншоте третьегном?
Ответить | Правка | Наверх | Cообщить модератору

41. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (39), 23-Янв-22, 15:42 
dmabuf в общем сделали из ролезного для использования в паре с Firefox для вывода видео аппаратно ускоренного декодировщиком видеокарты.
Ответить | Правка | Наверх | Cообщить модератору

59. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (53), 23-Янв-22, 18:52 
Давно пора!
Ответить | Правка | Наверх | Cообщить модератору

55. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +1 +/
Сообщение от ананоша (?), 23-Янв-22, 18:17 
Подумываю соскочить с х/кде на вялый свей. Пока не до конца понимаю тайлы. Есть у кого опыт?
Ответить | Правка | Наверх | Cообщить модератору

60. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (53), 23-Янв-22, 18:53 
Есть.
Ответить | Правка | Наверх | Cообщить модератору

65. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (-), 23-Янв-22, 19:02 
После длительного использования тайлов, особенно на ноутбуке, больше не захочешь смотреть на перегруженные DE дольше секунды.
Попробуй сам, сам пользуюсь - sway+yambar+waylock.
Ответить | Правка | К родителю #55 | Наверх | Cообщить модератору

77. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Xo (?), 24-Янв-22, 00:09 
Поначалу непривычно но потом жесть как удобно и быстро работать.
Ответить | Правка | К родителю #55 | Наверх | Cообщить модератору

56. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +2 +/
Сообщение от Аноним (-), 23-Янв-22, 18:29 
Кто его использует? Минималистичность юзабельна?
Ответить | Правка | Наверх | Cообщить модератору

62. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (53), 23-Янв-22, 18:56 
Поюзал недельки две. Всё юзабельно, работает быстро и не глючит. Мне не хватало только менеджера клипборда и поддержки PRIMARY selection (как в parcellite, clipit, clipman; попробовал скостылить что-то своё – получилось не очень), и awesome wm мне просто удобнее и привычнее, так что я вернулся обратно, но если вам этого не надо, то вполне можно пересесть насовсем.
Ответить | Правка | Наверх | Cообщить модератору

85. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от andy (??), 24-Янв-22, 10:13 
https://github.com/yory8/clipman
Так clipman поддерживает Wayland, или это другой?
Ответить | Правка | Наверх | Cообщить модератору

91. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (-), 24-Янв-22, 12:39 
Ему нужен KDE-шный clipboard, который как и всё KDE поддерживает Wayland. Беда в том, что KDE-шный clipboard тянет с собой дополнительные зависимости из KDE.
Ответить | Правка | Наверх | Cообщить модератору

95. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (53), 24-Янв-22, 15:18 
Имел в виду Xfce Clipman. Про этот не слышал.
Ответить | Правка | К родителю #85 | Наверх | Cообщить модератору

86. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от andy (??), 24-Янв-22, 10:18 
https://github.com/swaywm/sway/wiki/Useful-add-ons-for-sway#...
тут есть несколько клипборд менеджеров. Ни один не подошел?
Ответить | Правка | К родителю #62 | Наверх | Cообщить модератору

94. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от Аноним (53), 24-Янв-22, 15:16 
Вижу что список стал длиннее, надо проверить снова, спасибо.
Ответить | Правка | Наверх | Cообщить модератору

66. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +3 +/
Сообщение от Михрютка (ok), 23-Янв-22, 19:03 
>>>Sway позволяет размещать окна на экране не пространственно, а логически.

Море здесь своеобычное, иногда зеленое, а иногда штормит.

Ответить | Правка | Наверх | Cообщить модератору

97. "Выпуск пользовательского окружения Sway 1.7, использующего W..."  +/
Сообщение от RAMbug (?), 25-Янв-22, 14:25 
Там вон чувак в одно(!) рыло за три(!) года написал целую операционную систему, которая даже в таком состоянии уже лучше всего этого freedesktop убожества. А тут графический стек не могут вот уже больше 10 лет выкакать. Вся эта компашка под названием Linux Foundation должна параши мыть на вокзалах, а не за компьютерами сидеть.
Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру